import React, { useState, useEffect } from 'react';
import { Row, Col } from 'antd';
import router from 'umi/router';
import Styles from './style.less';


const market = props => {

    const list = [
        {
            img: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1591876471373&di=ceb7710067a87ee0fb182c4e7e753c04&imgtype=0&src=http%3A%2F%2Fa3.att.hudong.com%2F14%2F75%2F01300000164186121366756803686.jpg',
            title: '幸运大抽奖',
            desc: '常见的转盘式抽奖方法',
            url: '/marketingTools/lottery/index'
        },
        {
            img: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1591876471373&di=ceb7710067a87ee0fb182c4e7e753c04&imgtype=0&src=http%3A%2F%2Fa3.att.hudong.com%2F14%2F75%2F01300000164186121366756803686.jpg',
            title: '秒杀',
            desc: '快速抢购引导顾客更多消费'
        },
        {
            img: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1591876471373&di=ceb7710067a87ee0fb182c4e7e753c04&imgtype=0&src=http%3A%2F%2Fa3.att.hudong.com%2F14%2F75%2F01300000164186121366756803686.jpg',
            title: '刮刮卡',
            desc: '通过刮开卡片的方式进行抽奖的玩法'
        },
        {
            img: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1591876471373&di=ceb7710067a87ee0fb182c4e7e753c04&imgtype=0&src=http%3A%2F%2Fa3.att.hudong.com%2F14%2F75%2F01300000164186121366756803686.jpg',
            title: '趣味测试',
            desc: '趣味小测试，互动吸粉'
        },
    ]

    const handleItem = (url) => {

        router.push({
            pathname: url,
        });
    }

    return <>
        <p>营销工具：抓取客户，社交裂变</p>

        <div className={Styles.flex}>
            {
                list.map((item, _) => (
                    <div className={Styles.itemBox} onClick={() => handleItem(item.url)}>
                        <img className={Styles.img} src={item.img} ></img>
                        <div>
                            <p style={{ fontSize: '18px' }}>{item.title}</p>
                            <p style={{ fontSize: '15px', color: '#999', marginBottom: '0px' }}>{item.desc}</p>
                        </div>
                    </div>
                ))
            }

        </div>
    </>
}

export default market
